%define		gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define		gemname		zoom
%define		geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%{!?ruby_sitearch:	%define	ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%define		rubyabi		1.8
%define		repoid		28211


Name:		rubygem-%{gemname}
Version:	0.4.1
Release:	2%{?dist}
Group:		Development/Languages
Summary:	Ruby binding to ZOOM

License:	LGPLv2+
URL:		http://ruby-zoom.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/%{repoid}/%{gemname}-%{version}.gem
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygem(rake)
BuildRequires:	ruby-devel

BuildRequires:	libxslt-devel
BuildRequires:	libyaz-devel
BuildRequires:	tcp_wrappers
%if 0%{?fedora} >= 7
BuildRequires:	tcp_wrappers-devel
%endif

Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems)

Provides:	rubygem(%{gemname}) = %{version}-%{release}
# Obsolete but not provide
# Obsoletes: ruby(zoom) < 0.3.0 does not obsolete ruby-zoom
Obsoletes:	ruby-zoom < 0.3.0

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface 
to a subset of the services specified by the Z39.50 standard, 
also known as the international standard ISO 23950.

%prep
# Compile by myself forcely.
# Current rubygem install method
# - does not support CFLAGS (rather, don't know what compiler options
# . are used)
# - Does not pass check-buildroot (why?) Also, find-debuginfo.sh does not
# . create debuginfo rpm, probably compiler options used are wrong.
#
# . Other packages avoid check-buildroot complaint by stripping binaries, which
# . is very improper!!

%setup -q -c
%{__gzip} -dc data.tar.gz | %{__tar} -x -f -

%build
rake -v build

%install
%{__rm} -rf %{buildroot}

# 1. gem install
%{__mkdir_p} %{buildroot}%{gemdir}
gem install \
	--local \
	--install-dir %{buildroot}%{gemdir} \
	--force \
	%{SOURCE0}

# 2. replace with local build!!
%{__mkdir_p} %{buildroot}%{ruby_sitearch}
%{__install} -cpm 0755 \
	src/%{gemname}.so \
	%{buildroot}%{ruby_sitearch}/

# 3. clean up
for file in \
	Rakefile \
	lib/ \
	sample/CVS/ \
	src/ \
	test/CVS/ \
	; do
	%{__rm} -rf %{buildroot}%{geminstdir}/${file}
done
%{__chmod} 0755 %{buildroot}%{geminstdir}/sample/needle.rb

# 4. Move documents
%{__mkdir_p} %{buildroot}%{_defaultdocdir}/%{name}-%{version}
for f in \
	ChangeLog \
	README \
	; do 
	%{__mv} -f %{buildroot}%{geminstdir}/${f} \
		%{buildroot}%{_defaultdocdir}/%{name}-%{version}/
done

%check
# Net connection needed, disabling now.
exit 0
rake test

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root,-)
%{_defaultdocdir}/%{name}-%{version}/

%{ruby_sitearch}/%{gemname}.so

%{geminstdir}/
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%changelog
* Wed Nov 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- 0.4.1
- Also update URL

* Tue Nov 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.0-1
- 0.3.0, switch to gem.

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-1
- 0.2.3

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.1
- License update

* Sat Jun 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3
- Rebuild (against new yaz)

* Sat Apr 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-2
- Add more documents

* Sat Apr 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-1
- Initial packaging
